/** @file
  MeSmmProtocolThunk.h -- Header for MeSmmProtocolThunk

  Source: DEBUG_VS2015\X64\PurleyRpPkg\Platform\Dxe\MeSmmProtocolThunk\MeSmmProtocolThunk\DEBUG
  Build: HR6N0XMLK DEBUG_VS2015 X64

Copyright (c) HR650X BIOS Decompilation Project
**/

#ifndef __MESMMPROTOCOLTHUNK_H__
#define __MESMMPROTOCOLTHUNK_H__

#include "../uefi_headers/Uefi.h"

//
// Function Prototypes
//

///
/// ModuleEntryPoint -- UEFI entry point / initialization function
///
EFI_STATUS
EFIAPI
ModuleEntryPoint(
  VOID
);

///
/// MeSmmThunkLibraryConstructor
///
EFI_STATUS
EFIAPI
MeSmmThunkLibraryConstructor(
  VOID
);

///
/// InstallMeSmmProtocolThunk
///
EFI_STATUS
EFIAPI
InstallMeSmmProtocolThunk(
  VOID
);

///
/// InitializeMeSmmThunkContext
///
EFI_STATUS
EFIAPI
InitializeMeSmmThunkContext(
  VOID
);

///
/// TeardownMeSmmThunkContext
///
EFI_STATUS
EFIAPI
TeardownMeSmmThunkContext(
  VOID
);

///
/// DebugAssert
///
EFI_STATUS
EFIAPI
DebugAssert(
  VOID
);

///
/// MeSmmThunkContextInitialized
///
EFI_STATUS
EFIAPI
MeSmmThunkContextInitialized(
  VOID
);

#endif /* __MESMMPROTOCOLTHUNK_H__ */
